<? include("header.php");

if(!(isset($_SESSION["username"]) && isset($_SESSION["password"])))
{
	?>
	<script type="text/javascript">
	location.replace("login.php");
	</script>
	<noscript>
	<meta http-equiv="refresh" content="0; url=login.php">
	</noscript>
	<?
	exit();
}
?>
<div class="menucenter">
<?php
if($_FILES['avatar']['name']):

/// Проверяем на размер
if($_FILES['avatar']['size'] != 0 AND $_FILES['avatar']['size'] < 50*1024)
{
/// Проверяем содержимое
	if($_FILES['avatar']['type'] == "image/gif" OR $_FILES['avatar']['type'] == "image/jpg"
	OR $_FILES['avatar']['type'] == "image/jpeg" OR $_FILES['avatar']['type'] == "image/png")
	{
/// Проверяем загружен ли файл на сервер
	if(is_uploaded_file($_FILES['avatar']['tmp_name'])){

$iwh = GetImageSize($_FILES['avatar']['tmp_name']);
/// Проверяем размеры файла
if($iwh[0] > 150 or $iwh[1] > 150 or $iwh[0] < 60 or $iwh[1] < 60)
{
echo "<div class=error>Максимальные размеры картинки 150 x 150 px. -
минимальные 80x80 px., ваше изображение не подходит под данные разрешения</div>";
}else{
$type_file = str_replace("image/","",$_FILES['avatar']['type']);
/// Переносим файл из временной папки в нашу
if(move_uploaded_file($_FILES['avatar']['tmp_name'],"avp/".$_SESSION["username"].".".$type_file))
{
////////////

require("config.php");
mysql_query("UPDATE tb_users SET avatar='".$_SESSION["username"].".".$type_file."' WHERE username='".$_SESSION["username"]."'");
echo "<div class=good>Аватар успешно загружен на сервер!</div>";
////////////
}else{
echo "<div class=error>Произошла ошибка при загрузке файла на сервер!</div>";
}
}
	}else{
	echo "<div class=error>Произошла ошибка при загрузке файла на сервер!</div>";
	}
	}else{
	echo "<div class=error>Неверный формат изображения! Поддерживаемые форматы gif, jpg, jpeg</div>";
	}

}else{
echo "<div class=error>Максималный размер файла 31 кб.</div>";
}
endif;
?>

<fieldset class='green'>
Максимальные размеры картинки 150 x 150 px. - минимальные 60x60 px.<br>
Здесь вы можете установить себе свой любимый аватар. <br> Который будет отображаться у вас в меню. <br> Мелочь, а приятно.
</fieldset>
<table width="500" align="center" style="border:dashed 1px #F2C0A6;" cellspacing="0" cellpadding="0">
  <tr bgcolor="#CCCCCC">
    <td><center></b>Установить/Заменить аватар</b></center></td>
  </tr>
  <tr>
    <td>
    <BR />
    <center>
<form action="" method="post" enctype="multipart/form-data">
<input type="file"   name="avatar">
<input type="submit" class="ok_wm" value="Загрузить">
</form>
	</center>
    <BR />
    </td>
  </tr>
</table>
</center>
<?php include("footer.php"); ?>